const { SERVER_HOST, SERVER_PORT, MONGODB_URL } = require('./config')
const express = require('express')
const mongoose = require('mongoose')
mongoose.connect(MONGODB_URL, (error) => {
    if (error) {
        console.error(error)
    } else {
        console.info('mongodb connected successfully')
    }
})
const app = express()
app.set('view engine', 'pug')
app.use(express.static('public'))
app.use(express.urlencoded({ extended: true }))
app.use(express.json())
app.get('/', (req, res) => {
    res.render('index')
})
app.post('/upload', (req, res) => {
    res.sendStatus(201)
})
const server = app.listen(SERVER_PORT, SERVER_HOST, () => {
    console.info(`server is running at http://${SERVER_HOST}:${SERVER_PORT}`)
})
/**
 *  "bcrypt": "^5.0.1",
    "md5-file": "^5.0.0",
    "multer": "^1.4.5-lts.1",
 */
